import * as _backstage_plugin_scaffolder_node from '@backstage/plugin-scaffolder-node';
import * as _backstage_types from '@backstage/types';
import { Config } from '@backstage/config';
import { ScmIntegrationRegistry } from '@backstage/integration';
import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';

/**
 * Creates a new action that initializes a git repository using the content of the workspace.
 * and publishes it to a Gitea instance.
 * @public
 */
declare function createPublishGiteaAction(options: {
    integrations: ScmIntegrationRegistry;
    config: Config;
}): _backstage_plugin_scaffolder_node.TemplateAction<{
    repoUrl: string;
    description: string;
    defaultBranch?: string | undefined;
    repoVisibility?: "private" | "public" | undefined;
    gitCommitMessage?: string | undefined;
    gitAuthorName?: string | undefined;
    gitAuthorEmail?: string | undefined;
    sourcePath?: string | undefined;
}, _backstage_types.JsonObject>;

/**
 * @public
 * The Gitea Module for the Scaffolder Backend
 */
declare const giteaModule: _backstage_backend_plugin_api.BackendFeature;

export { createPublishGiteaAction, giteaModule as default };
