'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var alpha = require('@backstage/plugin-scaffolder-node/alpha');
var gitea = require('./actions/gitea.cjs.js');
var integration = require('@backstage/integration');

const giteaModule = backendPluginApi.createBackendModule({
  pluginId: "scaffolder",
  moduleId: "gitea",
  register({ registerInit }) {
    registerInit({
      deps: {
        scaffolder: alpha.scaffolderActionsExtensionPoint,
        config: backendPluginApi.coreServices.rootConfig
      },
      async init({ scaffolder, config }) {
        const integrations = integration.ScmIntegrations.fromConfig(config);
        scaffolder.addActions(
          gitea.createPublishGiteaAction({
            integrations,
            config
          })
        );
      }
    });
  }
});

exports.giteaModule = giteaModule;
//# sourceMappingURL=module.cjs.js.map
